﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CollectableText : MonoBehaviour {

    public string letter;

	void Start () {
		
	}

    void Update()
    {
        transform.Rotate(new Vector3(0, 30f * Time.deltaTime, 0));
    }

    void OnTriggerEnter(Collider collision)
    {
        if (collision.transform.tag == "WackyMan")
        {
            GetCollected();
        }
    }

    private void GetCollected()
    {
        ScoreController score = GameObject.FindObjectOfType<ScoreController>();
        Trick explodeT = new Trick();
        explodeT.name = "MANHOLE";
        explodeT.score = 1000;
        explodeT.ended = true;
        explodeT.trickNum = 4;
        score.newTrick(explodeT);

        GameObject.FindObjectOfType<GameController>().collectLetter(letter);
        Destroy(gameObject);
    }
}
