﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ControllablePart : MonoBehaviour {

    public float controlForce;
    private Rigidbody rb;
    private GameController gc;

	void Start () {
        rb = GetComponent<Rigidbody>();
        gc = GameObject.FindObjectOfType<GameController>();
	}
	
	void Update () {
        if (gc.hasStarted())
        {
            Vector3 control = new Vector3();
            control.x = Input.GetAxis("Horizontal");
            control.z = Input.GetAxis("Vertical");
            control = Camera.main.transform.TransformDirection(control);
            rb.AddForce(control * controlForce, ForceMode.Acceleration);
        }
	}
}
