﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FollowTransform : MonoBehaviour {

    public Transform follow;
    public bool ignoreY = false;
    public bool fixedUpdate = false;

	void Start () {
		
	}
	
	void Update ()
    {
        if(!fixedUpdate)
        {
            FollowPosition();
        }
	}

    void FixedUpdate()
    {
        if(fixedUpdate)
        {
            FollowPosition();
        }
    }

    private void FollowPosition()
    {
        Vector3 newPosition = follow.position;
        if(ignoreY)
        {
            newPosition.y = transform.position.y;
        }
        transform.position = newPosition;
    }
}
