﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Mine : MonoBehaviour {

    public GameObject explosionPrefab;

	void Start () {
		
	}
	
	void Update () {
		
	}

    void OnCollisionEnter(Collision collision)
    {
        if(collision.transform.tag == "WackyMan")
        {
            Explode();
        }
    }

    private void Explode()
    {
        float radius = 15f;
        float power = 2000f;
        Vector3 explosionPos = transform.position - Vector3.up;
        Collider[] colliders = Physics.OverlapSphere(explosionPos, radius);
        foreach (Collider hit in colliders)
        {
            Rigidbody rb = hit.GetComponent<Rigidbody>();

            if (rb != null)
                rb.AddExplosionForce(power, explosionPos, radius, 5.0f);

        }

        ScoreController score = GameObject.FindObjectOfType<ScoreController>();
        Trick explodeT = new Trick();
        explodeT.name = "EXPLODE";
        explodeT.score = 1000;
        explodeT.ended = true;
        explodeT.trickNum = 3;
        score.newTrick(explodeT);

        GameObject explode = Instantiate(explosionPrefab, transform.position, Quaternion.identity);
        Destroy(explode, 2f);
        Destroy(transform.parent.gameObject);
    }
}
