﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Jump : MonoBehaviour {
    public float JUMP_FORCE = 10;
    private bool isTouchingMap;
    private Rigidbody rb;
    public Waves waves;
    private float jumpWarmUpTime = 0;
    private float maxWarmUpTime = 2f;

    void Start () {
        rb = GetComponent<Rigidbody>();
	}


    void Update() {
        if(Input.GetButton("Jump"))
        {
            jumpWarmUpTime += Time.deltaTime;
            if(jumpWarmUpTime > maxWarmUpTime)
            {
                jumpWarmUpTime = maxWarmUpTime;
            }
        }
        else if (Input.GetButtonUp("Jump"))
        {
            jump();
            jumpWarmUpTime = 0f;
        }
    }

    public void jump()
    {
        isTouchingMap = waves.inWaves(this.transform);
        if (isTouchingMap)
        {
            Debug.Log("Jump " + jumpWarmUpTime);
            rb.AddForce(Vector3.up * JUMP_FORCE * (1 + (jumpWarmUpTime / 2f)), ForceMode.Acceleration);
        }
    }
}
