﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TrickyPart : MonoBehaviour {

    public int trick = 1;
    private Rigidbody rb;
    private float trickPower = 500f;
    public Transform targetPosition;
    private ScoreController score;
    private Trick tricky;

	void Start () {
        rb = GetComponent<Rigidbody>();
        score = GameObject.FindObjectOfType<ScoreController>();
        tricky = new Trick();
	}
	
	void Update () {
		if(trick==1)
        {
            if (Input.GetButtonDown("Trick1"))
            {
                tricky = new Trick();
                startTrick(tricky);
            }
            else if (Input.GetButtonUp("Trick1"))
            {
                endTrick(tricky);
            }
            else if (Input.GetButton("Trick1"))
            {
                doTrick(tricky);
            }
        } else if (trick == 2)
        {
            if (Input.GetButtonDown("Trick2"))
            {
                tricky = new Trick();
                startTrick(tricky);
            }
            else if (Input.GetButtonUp("Trick2"))
            {
                endTrick(tricky);
            }
            else if (Input.GetButton("Trick2"))
            {
                doTrick(tricky);
            }
        }
	}

    private void startTrick(Trick t)
    {
        tricky.trickNum = trick;
        if (trick==1)
        {
            tricky.name = "NOSEGRAB";

            if (Input.GetAxis("Vertical") > 0f)
            {
                //tricky.name = "WIGGLER";
                //tricky.trickNum = 4;
            }
        } else if (trick == 2)
        {
            tricky.name = "TAILGRAB";

            if (Input.GetAxis("Vertical") > 0f)
            {
                //tricky.name = "BLAP";
                //tricky.trickNum = 5;
            }
        }
        
        tricky.score = 0;
        tricky.modifier = "";

        score.newTrick(tricky);
    }

    private void doTrick(Trick t)
    {
        Vector3 dir = targetPosition.position - transform.position;
        dir.Normalize();

        if (tricky.trickNum == 4)
        {
            dir = -transform.forward * 0.5f;
        }
        if (tricky.trickNum == 5)
        {
            dir = Vector3.forward * Mathf.Sin(Time.time) * 0.75f + Vector3.left * Mathf.Cos(Time.deltaTime) * 0.75f;
        }
        
        rb.AddForce(dir * trickPower, ForceMode.Acceleration);

        score.updateTrick(tricky);
    }

    private void endTrick(Trick t)
    {
        score.endTrick(tricky);
    }
}
