﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WackyManAudio : MonoBehaviour {

    public AudioClip[] waterSplashSFX;
    public AudioClip trickSFX;
    private AudioSource audio;

	void Start () {
        audio = GetComponent<AudioSource>();
	}
	
	public void playWaterSplash()
    {
        audio.PlayOneShot(waterSplashSFX[Random.Range(0, waterSplashSFX.Length)], 0.5f);
    }

    public void playTrickSFX()
    {
        audio.PlayOneShot(trickSFX);
    }
}
